/*
 *     Copyright: Eugene M. Hutorny (c) 2009, eugene@hutorny.in.ua
 *     License:   Licensed to public under The GNU Lesser General Public License (LGPLv3) 
 *                http://www.opensource.org/licenses/lgpl-3.0.html
 */
package ua.in.hutorny.otj.exer1.money;

import java.math.BigDecimal;

public class Exchequer {
	/**
	 * Acquiring cash should be a collaboration between a bank and Exchequer, 
	 * but this behaviour is not in the scope of this exercise 
	 */
	public static Cash acquireCash(int amount, Currency currency) {
		return new Cash(new BigDecimal(amount),currency);
	}
}
